class WeatherArt < ApplicationRecord
  belongs_to :city

  has_one_attached :image

  validates :weather_date, presence: true
  validates :city_id, presence: true

  def self.ransackable_associations(auth_object = nil)
    ["city", "image_attachment", "image_blob"]
  end

  def self.ransackable_attributes(auth_object = nil)
    [ "city_id", "cloud", "created_at", "description", "feeling_temp", "humidity", "id", "id_value", "precipitation", "pressure", "prompt", "temperature", "updated_at", "visibility", "weather_date", "wind_scale", "wind_speed" ]
  end
end
